package cn.com.qmth.stmms.ms.commons.utils.specification;

import org.springframework.data.domain.PageRequest;
import org.springframework.data.jpa.domain.Specification;

/**
 * 通过Specification动态构建动态查询、分页、排序
 * @author xudengqi
 * 2016年8月18日
 */
public interface QuerySpecification {
	
	Specification<?> getSpecification();

    PageRequest getPageRequest();
}
